Bug 462394 - nscd ignores configured caching time
nscd ignores configured caching time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
10
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Andreas Schwab
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 17:32 EDT by Pete Zaitcev
Modified: 2016-11-24 07:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:23:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nscd.conf (2.09 KB, text/plain)
2008-09-15 17:33 EDT, Pete Zaitcev
no flags Details

  None (edit)
Description Pete Zaitcev 2008-09-15 17:32:00 EDT
Description of problem:

The nscd only caches for a few minutes, although /etc/nscd.conf says
        positive-time-to-live   hosts           3600

Version-Release number of selected component (if applicable):

nscd-2.8.90-12.x86_64

How reproducible:


Steps to Reproduce:
1. run tcpdump -n in the background
2. run date(1) to timestamp
3. run "host ipv6.google.com"
4. check output of step 1, it has DNS requiest for AAAA ipv6.google.com
5. re-run steps 1-3, see that there is no DNS traffic  -- this is good
6. wait 20 minutes
7. repeat steps 1-3
8. observe that there's DNS traffic again
  
Actual results:

Short lifetime of cache

Expected results:

Configured lifetime

Additional info:

Setting bug component to glibc because nscd has no its own component.

The replied TTL from Google is rather goofy, only 35s for AAAA:

ipv6.google.com.        6340    IN      CNAME   ipv6.l.google.com.
ipv6.l.google.com.      35      IN      AAAA    2001:4860:0:2001::68

However, nscd caches for more than 35 seconds, so I think it obeys
wrong part of nscd.conf or something.
Comment 1 Pete Zaitcev 2008-09-15 17:33:06 EDT
Created attachment 316788 [details]
nscd.conf
Comment 2 Bug Zapper 2008-11-25 22:05:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ulrich Drepper 2008-12-03 01:43:44 EST
nscd respects the TTL of the DNS reply.  This overwrites the value in the nscd.conf file which is only used when no TTL information is available.  The entry gets automatically reloaded a number of times and therefore will be again in the cache.  This might be why you think the entry is cached longer than the specified number of seconds.  Run nscd in the foreground by adding -d -d -d to the command line to observe the behavior.  Unless you see in the debug messages that the entry is cached significantly longer than the number of seconds specified in the TTL close the BZ since there is no problem.
Comment 4 Bug Zapper 2009-11-18 04:17:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:23:53 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.